| XMP Toolkit SDK 6.0.0

Public Member Functions | Protected Member Functions | List of all members
AdobeXMPCommon::IErrorNotifier_v1 Class Referenceabstract

Version1 of the interface that represents an interface to be implemented by client in case he is interested in getting notifications with respect to errors/warnings encountered by library. More...

`#include <IErrorNotifier.h>`

## Public Member Functions
virtual bool APICALL | Notify (const spcIError &error)=0
| Called by the library to notify the client about the warning/error. More...
virtual | ~IErrorNotifier_v1 ()

## Protected Member Functions
| REQ_FRIEND_CLASS_DECLARATION ()

## Detailed Description

Version1 of the interface that represents an interface to be implemented by client in case he is interested in getting notifications with respect to errors/warnings encountered by library.

In case client is interested in error notifications he can implement this interface and register the same with the #AdobeXMPCommon::IConfigurationManager. For every warning or error encountered the NotifyError function will be called by the library. In case of warnings ( indicated by the severity of the error ) the client has the option to continue ignoring the warning by returning true else he can return false and the warning will be thrown aborting the current operation.

Definition at line 29 of file IErrorNotifier.h.

## Constructor & Destructor Documentation

## ◆ ~IErrorNotifier_v1()

virtual AdobeXMPCommon::IErrorNotifier_v1::~IErrorNotifier_v1 | ( |  | ) |
| inline virtual

Definition at line 39 of file IErrorNotifier.h.

39 {}

## Member Function Documentation

## ◆ Notify()

virtual bool APICALL AdobeXMPCommon::IErrorNotifier_v1::Notify | ( | const spcIError & | error | ) |
| pure virtual

Called by the library to notify the client about the warning/error.

Parameters

  [in] | error | const pointer to a #AdobeXMPCommon::IError. Client can use the information in the error to decide what should be the future course of action.

Returns
  A value of bool type that will indicate the future course of action.

## ◆ REQ_FRIEND_CLASS_DECLARATION()

AdobeXMPCommon::IErrorNotifier_v1::REQ_FRIEND_CLASS_DECLARATION | ( |  | ) |
| protected

The documentation for this class was generated from the following file:

- public/include/XMPCommon/Interfaces/IErrorNotifier.h